
export class ResouceLoadError extends Error
{
    constructor(error, res)
    {
        super('ResouceLoadError' + error);
        this._err = error;
        this._res = res;
    }

    getError()
    {
        return this._err;
    }

    getRes()
    {
        return this._res;
    }
};